
https://gcc.gnu.org/onlinedocs/gcc-4.3.6/gfortran/GETPID.html

gfortran 4.9.2 works

milias@labs.fpv.umb.sk:~/work/software_projects/miro_ilias_programming/fortran_stuff/getpid_fu/.a.out
 The current process ID is        20907
 Your numerical user ID is        39654
 Your numerical group ID is        30001

